<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SpawnOptions](./bitburner.spawnoptions.md)

## SpawnOptions interface


**Signature:**

```typescript
interface SpawnOptions extends RunOptions 
```
**Extends:** [RunOptions](./bitburner.runoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[spawnDelay?](./bitburner.spawnoptions.spawndelay.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ Number of milliseconds to delay before spawning script, defaults to 10000 (10s). Must be a non-negative integer. If 0, the script will be spawned synchronously.


</td></tr>
</tbody></table>

